man pages are in mdoc format

11/08/2011 11:35 PM - ro (Rainer Orth)

Status: Closed   

Priority: Normal   

Assignee: yugui (Yuki Sonoda)   

Target version: 1.9.2   

ruby -v: ruby 1.9.2p290 (2011-07-09 revision

32553) [sparc-solaris2.10]

Backport:  

Description

Unfortunately, the ruby man pages are in mdoc format (as detected by grog).

The Solaris man/nroff commands cannot deal with that format, rendering the man

pages effectively useless.

Please provide them using only man macros instead so they are universally

useful.

Associated revisions

Revision 0f7e05a0 - 11/28/2011 03:14 PM - yugui (Yuki Sonoda)

common.mk (INSTRUBY_ARGS): added --mantype to apply mdoc2man.rb

to man pages.  Fixes #5598.

(do-install-nodoc, do-install-local, do-install-man,

dont-install-nodoc, dont-install-local, dont-install-man):

No longer needs --mantype.

Reported by Rainer Orth ,

patch by George Koehler .

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33886 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 15090079a26e0e432cd3d5df7b2b3d59e4fd3f9a - 02/06/2012 12:53 PM - naruse (Yui NARUSE)

merge revision(s) 33886: [Backport #5682]

    * common.mk (INSTRUBY_ARGS): added --mantype to apply mdoc2man.rb

      to man pages.  Fixes #5598.

      (do-install-nodoc, do-install-local, do-install-man,

      dont-install-nodoc, dont-install-local, dont-install-man):

      No longer needs --mantype.

      Reported by Rainer Orth <ro AT cebitec.uni-bielefeld.de>,

      patch by George Koehler <xkernigh AT netscape.net>.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@34448 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 15090079 - 02/06/2012 12:53 PM - naruse (Yui NARUSE)

merge revision(s) 33886: [Backport #5682]

    * common.mk (INSTRUBY_ARGS): added --mantype to apply mdoc2man.rb

      to man pages.  Fixes #5598.

      (do-install-nodoc, do-install-local, do-install-man,

      dont-install-nodoc, dont-install-local, dont-install-man):

      No longer needs --mantype.

      Reported by Rainer Orth <ro AT cebitec.uni-bielefeld.de>,

      patch by George Koehler <xkernigh AT netscape.net>.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@34448 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
History

#1 - 11/09/2011 12:01 PM - nobu (Nobuyoshi Nakada)

- Category set to doc

- Status changed from Open to Feedback

Doesn't `make install MANTYPE=man' work?

#2 - 11/24/2011 07:29 AM - kernigh (George Koehler)

- File p-mantype.diff added

Ruby should use its tool/mdoc2man.rb to convert mdoc format to man format. This is broken because some targets in Makefile forgot to pass

--mantype="$(MANTYPE)" to INSTRUBY (tools/rbinstall.rb). Now make install' and make install-all' ignore MANTYPE and always install mdoc format.

I attached a quick patch. It moves --mantype="$(MANTYPE)" into INSTRUBY_ARGS, so every install target always passes MANTYPE.

#3 - 11/27/2011 10:16 PM - yugui (Yuki Sonoda)

- Status changed from Feedback to Assigned

- Assignee set to yugui (Yuki Sonoda)

- Target version set to 1.9.2

=begin

HI George,

Thank you for your patch. I'll take a look at this issue.

=end

#4 - 11/29/2011 12:14 AM - yugui (Yuki Sonoda)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r33886.

Rainer, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

common.mk (INSTRUBY_ARGS): added --mantype to apply mdoc2man.rb

to man pages.  Fixes #5598.

(do-install-nodoc, do-install-local, do-install-man,

dont-install-nodoc, dont-install-local, dont-install-man):

No longer needs --mantype.

Reported by Rainer Orth ,

patch by George Koehler .

Files

p-mantype.diff 2.74 KB 11/24/2011 kernigh (George Koehler)
